## ros-melodic-rosconsole 1.13.18

=== debian/changelog ===
ros-melodic-rosconsole (1.13.18-1stretch) stretch; urgency=high

  * support NO_COLOR environment variable (#46 <https://github.com/ros/rosconsole/issues/46>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 14 Oct 2020 07:00:00 -0000

ros-melodic-rosconsole (1.13.17-1stretch) stretch; urgency=high

  * check MSVC predefined macro (#45 <https://github.com/ros/rosconsole/issues/45>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Aug 2020 07:00:00 -0000

ros-melodic-rosconsole (1.13.16-1stretch) stretch; urgency=high

  * fix message in filter parameters (#43 <https://github.com/ros/rosconsole/issues/43>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 Jul 2020 07:00:00 -0000

ros-melodic-rosconsole (1.13.15-1stretch) stretch; urgency=high

  * export boost-regex-dev for now (#38 <https://github.com/ros/rosconsole/issues/38>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Feb 2020 08:00:00 -0000

ros-melodic-rosconsole (1.13.14-1stretch) stretch; urgency=high

  * add missing run dep for boost regex (#37 <https://github.com/ros/rosconsole/issues/37>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Feb 2020 08:00:00 -0000

ros-melodic-rosconsole (1.13.13-1stretch) stretch; urgency=high

  * bump minimum CMake version to avoid CMP0048 warning (#36 <https://github.com/ros/rosconsole/issues/36>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2020 08:00:00 -0000

ros-melodic-rosconsole (1.13.12-1stretch) stretch; urgency=high

  * declare specific boost dependencies (#35 <https://github.com/ros/rosconsole/issues/35>)
  * fix console printer to also print unknown levels (#34 <https://github.com/ros/rosconsole/issues/34>)
  * fix level comparison for compatibility with upstream log4cxx (#33 <https://github.com/ros/rosconsole/issues/33>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2020 08:00:00 -0000

ros-melodic-rosconsole (1.13.11-1stretch) stretch; urgency=high

  * direct WARN level messages to stderr (#29 <https://github.com/ros/rosconsole/issues/29>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-melodic-rosconsole (1.13.10-1stretch) stretch; urgency=high

  * add missing declaration of deregister_appender in impl namespace (#28 <https://github.com/ros/rosconsole/issues/28>)
  * add deregistry declaration and base impl (#23 <https://github.com/ros/rosconsole/issues/23>)
  * dll import/export visibility macro update (#26 <https://github.com/ros/rosconsole/issues/26>)
  * fix long message causing program exit at exception (#25 <https://github.com/ros/rosconsole/issues/25>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Mar 2019 08:00:00 -0000

ros-melodic-rosconsole (1.13.9-1stretch) stretch; urgency=high

  * don't overlay variables in logging macro (#21 <https://github.com/ros/rosconsole/issues/21>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 12 Nov 2018 08:00:00 -0000

ros-melodic-rosconsole (1.13.8-1stretch) stretch; urgency=high

  * fix double index increment in rosconsole_glog (#15 <https://github.com/ros/rosconsole/issues/15>)
  * trigger LOG_THROTTLE when time goes backwards (#12 <https://github.com/ros/rosconsole/issues/12>)
  * add deregistry function for LogAppender. (#17 <https://github.com/ros/rosconsole/issues/17>)
  * replaced zero for NULL for null pointer constants (#14 <https://github.com/ros/rosconsole/issues/14>)
  * fix rosconsole build issue when built on Windows (#13 <https://github.com/ros/rosconsole/issues/13>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 09 Nov 2018 08:00:00 -0000

ros-melodic-rosconsole (1.13.7-1stretch) stretch; urgency=high

  * moved rosconsole into a separate repository (see rosdistro#17919 <https://github.com/ros/rosdistro/issues/17919>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rosconsole (1.13.6-1stretch) stretch; urgency=high

  * rename log macro argument from rate to period (#1318 <https://github.com/ros/ros_comm/issues/1318>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-melodic-rosconsole (1.13.5-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-melodic-rosconsole (1.13.4-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-rosconsole (1.13.3-1stretch) stretch; urgency=high

  * replace 'while(0)' with 'while(false)' to avoid warnings (#1179 <https://github.com/ros/ros_comm/issues/1179>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-melodic-rosconsole (1.13.2-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 07:00:00 -0000

ros-melodic-rosconsole (1.13.1-1stretch) stretch; urgency=high

  * remove extra semicolon in definition of macro ROSCONSOLE_PRINTF_ATTRIBUTE(a, b) (#1056 <https://github.com/ros/ros_comm/pull/1056>)
  * add ROSCONSOLE_STDOUT_LINE_BUFFERED env var to force flushing stdout in Formatter::print (#1012 <https://github.com/ros/ros_comm/issues/1012>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-melodic-rosconsole (1.13.0-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-melodic-rosconsole (1.12.7-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-melodic-rosconsole (1.12.6-1stretch) stretch; urgency=high

  * add missing walltime to roscpp logging (#879 <https://github.com/ros/ros_comm/pull/879>)
  * fix building on GCC-6 (#911 <https://github.com/ros/ros_comm/pull/911>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-melodic-rosconsole (1.12.5-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000


