=== debian/control ===
Source: ros-melodic-rosconsole
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libapr1-dev, libaprutil1-dev, libboost-regex-dev, libboost-system-dev, libboost-thread-dev, liblog4cxx-dev, ros-melodic-catkin, ros-melodic-cpp-common, ros-melodic-rostime, ros-melodic-rosunit
Homepage: http://www.ros.org/wiki/rosconsole
Standards-Version: 3.9.2

Package: ros-melodic-rosconsole
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libapr1-dev, libaprutil1-dev, libboost-regex-dev, liblog4cxx-dev, ros-melodic-cpp-common, ros-melodic-rosbuild, ros-melodic-rostime
Description: ROS console output library.
